use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize)]
pub struct ClassroomPerson {
    pub name: String,
    pub surname: String,
    pub username: String,
    pub user_id: String,
}

#[derive(Debug, Deserialize)]
pub struct ClassroomPersonCreate {
    pub person_email: String,
    pub person_expiration_date: String,
    pub person_id: i32,
    pub person_names: String,
    pub person_surnames: String,
    pub person_username: String,
    pub person_password: String,
}
