
export function LoadingIcon(props: {fill: string, size?: number, class?: string}) {
    return (
        <svg
            xmlns="http://www.w3.org/2000/svg"
            class={`inline-block w-6 ${props.class}`}
            width={props.size ?? 32}
            height={props.size ?? 32}
            fill="none"
            viewBox="0 0 24 24"
        >
            <path class="opacity-75" fill={props.fill} d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z" />
        </svg>
    );
}
